<template>
  <div>
    <h1>Menu</h1>
    <p>Selecciona una de las siguientes opciones:</p>
  </div>
  <div class="container">
    <div class="content">
      <button v-on:click="fromMenuGoToProjects()">
        <img
          class="menuImagen"
          src="./img/projects-img/projects-catalejo.png"
        />
      </button>
      <p>Editar proyectos</p>
    </div>
    <div class="content">
      <button v-on:click="openChuckDocs()">
        <img class="menuImagen" src="./img/projects-img/chuck-docs.png"/>
      </button>
      <p>Documentación para chuck</p>
    </div>
    <div class="content">
      <button v-on:click="openLuna8266Docs()">
        <img class="menuImagen" src="./img/projects-img/luna8266-docs.png"/>
      </button>
      <p>Documentación para Luna</p>
    </div>
    <!-- <p style="color: #fff;"><a style="color: #fff;" href="http://localhost:8080/chuck-docs/" target="_blank">Chuck documentación</a>.</p> -->
    <!-- <p style="color: #fff;"><a style="color: #fff;" href="http://localhost:8080/luna8266-docs/" target="_blank">Luna8266 documentación</a>.</p> -->
  </div>
</template>
<script lang="ts">
import { defineComponent, onMounted } from "vue";
import {
  WebserviceStatus,
  getWebserviceState,
  startWebservice,
} from "../host/controller";

export default defineComponent({
  emits: ["fromParentGoToProjects"],
  setup(_, context) {
    // const sleep = (ms: number) => new Promise((r) => setTimeout(r, ms));
    const fromMenuGoToProjects = (): void => {
      context.emit("fromParentGoToProjects");
    };
    const openChuckDocs = async () => {
      if (getWebserviceState() == WebserviceStatus.STOP) {
        await startWebservice();
      }
      window.open("http://localhost:8080/chuck-docs/", "_blank");
    };
    const openLuna8266Docs = async () => {
      if (getWebserviceState() == WebserviceStatus.STOP) {
        await startWebservice();
      }
      window.open("http://localhost:8080/luna8266-docs/", "_blank");
    };
    onMounted(() => {
      if (getWebserviceState() == WebserviceStatus.STOP) {
        startWebservice();
      }
    });
    return {
      // -- METHODS --
      fromMenuGoToProjects,
      openChuckDocs,
      openLuna8266Docs,
    };
  },
});
</script>
<style>
.container {
  width: 90%;
  border-radius: 5px;
  /* outline: dashed 1px white; */
  display: flex;
  justify-content: center;
  align-items: center;
}
.content {
  height: 80px;
  width: 30%;
  float: left;
  margin: 10px;
  border-radius: 5px;
  margin: auto;
}

.menuImagen {
  width: 100%;
}

h1,p {
  text-align: center;
  color: white;
}
</style>
